routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/logout', 'Auth\LoginController@logout')->name('logout');
Route::get('/user', 'HomeController@getUserAuth')->name('user');
Route::get('/permisos', 'HomeController@getPermisos')->name('permisos');

Route::middleware(['auth'])->group(function () {

    Route::get('/getclients', 'Geor\Clientes\ClientesController@getClients')->name('getClients');

    Route::get('/getroles', 'Geor\Administracion\AdministradorRolesController@getRoles')->name('getroles');
    Route::get('/getpermisos', 'Geor\Administracion\AdministradorRolesController@getPermisos')->name('getpermisos');
    Route::get('/getusers', 'Geor\Administracion\AdministradorRolesController@getUsers')->name('getusers');

    Route::get('/getconcesionarios', 'Geor\Clientes\ClientesController@getConcesionarios')->name('getConcesionarios');

    Route::get('getresgistrosclientes', 'Geor\Auditoria\RegistrosClientesController@getRegistros')->name('resgistrosclientes.index');

    Route::get('/administracionroles', 'Geor\Administracion\AdministradorRolesController@index')->name('administracionroles.index');

    Route::resource('clientes', 'Geor\Clientes\ClientesController', ['except' => 'show', 'create', 'edit']);

    Route::resource('administracionroles', 'Geor\Administracion\AdministradorRolesController', ['except' => 'show', 'create', 'edit']);
    Route::post('eliminarol', 'Geor\Administracion\AdministradorRolesController@eliminarol')->name('eliminarol');
    Route::post('asignarol', 'Geor\Administracion\AdministradorRolesController@asignar')->name('asignarol');
});

resources/views/clientes.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Clientes</div>

                <div class="panel-body">

                    @can('clientes.edit')
                        <p class="text-right">
                            <a href="{{ route('clientes.create') }}" class="btn btn-primary">
                                Crear
                            </a>
                        </p>
                    @endcan

                    <table class="table table-striped">
                        @foreach($clientes as $cliente)
                        <tbody>
                            <tr>
                                <td>{{ $cliente->id }}</td>
                                <td>{{ $cliente->name }}</td>
                                <td>{{ $cliente->description }}</td>

                                @can('clientes.edit')
                                <td>
                                    <a href="{{ route('clientes.edit', $cliente->id) }}" class="btn btn-sm btn-default">
                                        Editar
                                    </a>
                                </td>
                                @endcan

                                @can('clientes.show')
                                <td>
                                    <a href="{{ route('clientes.show', $cliente->id) }}" class="btn btn-sm btn-default">
                                        Ver
                                    </a>
                                </td>
                                @endcan

                                @can('clientes.destroy')
                                <td>
                                    <form action="{{ route('clientes.destroy', $cliente->id) }}" method="POST">
                                        {{ method_field('DELETE') }}
                                        {{ csrf_field() }}
                                        <button type="submit" class="btn btn-sm btn-danger">
                                            Eliminar
                                        </button>
                                    </form>
                                </td>
                                @endcan

                            </tr>
                        </tbody>
                        @endforeach
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Dashboard</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection